> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 列出组织的 IDP 组用户

> 列出组织成员资格由 IDP 组分配派生的用户。

该端点列出其组织成员身份来自 IDP 组分配的用户。它仅返回在指定组织中通过 IDP 组成员身份继承角色的用户，不返回被直接分配角色的用户。如果你要查找在某个组织中被直接分配角色的用户，请改用 [列出组织用户](/zh/api-reference/v3/users/organizations-members-users) 端点。

<div id="permissions">
  ## 权限
</div>

需要在企业级别具有 `ViewAccountMembership` 权限的服务用户。


## OpenAPI

````yaml zh/v3-openapi.yaml GET /v3/enterprise/organizations/{org_id}/members/idp-users
openapi: 3.1.0
info:
  description: 采用 Service User 身份验证和 RBAC 的 Devin v3 API
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/enterprise/organizations/{org_id}/members/idp-users:
    get:
      tags:
        - users
      summary: 列出组织的 IDP 组用户
      description: 列出组织成员资格由 IDP 组分配派生的用户。
      operationId: >-
        handle_list_organization_idp_users_v3_enterprise_organizations__org_id__members_idp_users_get
      parameters:
        - description: 组织 ID（前缀：org-）
          in: path
          name: org_id
          required: true
          schema:
            example: org-abc123def456
            title: Org Id
            type: string
        - in: query
          name: after
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: After
        - in: query
          name: first
          required: false
          schema:
            default: 100
            maximum: 200
            minimum: 1
            title: First
            type: integer
        - description: 按精确电子邮件地址筛选
          in: query
          name: email
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: 按精确电子邮件地址筛选
            title: Email
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_IdpGroupUser_'
          description: 成功响应
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 验证错误
components:
  schemas:
    PaginatedResponse_IdpGroupUser_:
      properties:
        end_cursor:
          anyOf:
            - type: string
            - type: 'null'
          description: 用于获取下一页的游标；如果这是最后一页，则为 None。
          title: End Cursor
        has_next_page:
          default: false
          description: 此页之后是否还有更多条目。
          title: Has Next Page
          type: boolean
        items:
          items:
            $ref: '#/components/schemas/IdpGroupUser'
          title: Items
          type: array
        total:
          anyOf:
            - type: integer
            - type: 'null'
          description: 可选的总数（出于性能考虑可省略）。
          title: Total
      required:
        - items
      title: PaginatedResponse[IdpGroupUser]
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    IdpGroupUser:
      description: 成员资格源自 IDP 组分配的用户。
      properties:
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        idp_role_assignments:
          items:
            $ref: '#/components/schemas/IdpRoleAssignment'
          title: Idp Role Assignments
          type: array
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        user_id:
          title: User Id
          type: string
      required:
        - user_id
        - email
        - name
        - idp_role_assignments
      title: IdpGroupUser
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    IdpRoleAssignment:
      description: 通过 IDP 组成员资格继承的角色分配。
      properties:
        idp_group_name:
          title: Idp Group Name
          type: string
        org_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Org Id
        role:
          $ref: '#/components/schemas/Role'
      required:
        - role
        - idp_group_name
      title: IdpRoleAssignment
      type: object
    Role:
      properties:
        role_id:
          title: Role Id
          type: string
        role_name:
          title: Role Name
          type: string
        role_type:
          enum:
            - enterprise
            - org
          title: Role Type
          type: string
      required:
        - role_name
        - role_id
        - role_type
      title: Role
      type: object
  securitySchemes:
    bearerAuth:
      description: 服务用户凭据（前缀：cog_）
      scheme: bearer
      type: http

````